<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>


<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
	<%@ include file="/m05bIdioma.inc"%>
<HTML>

<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">			
<SCRIPT language=JavaScript>
		function fncRetornar(cia) {
				 document.formBaja.action="/m05bParqueMovilWar/m05bImpBajaTarjetaJsp.jsp" ;
				 document.formBaja.submit();
		}

		function fncImprimir(cuenta) {
					var url="m05bTarjetaPDFBajaJsp.jsp?CTA="+cuenta+"&Tipo="+"<%=m05bConstantes.TAR_VIAT%>";
					var docu= document.formBaja;
			        docu.action=url;
			        docu.submit();
		}            

</SCRIPT>
</HEAD>	
<BODY  style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
<form NAME="formBaja" METHOD="POST">
	<!-- Carga del fichero properties   -->
<%	m05bComun miComun = new m05bComun();
    m05bFileLog miLog = new m05bFileLog();

	String TarjetaBaja = miComun.leerPropiedad("PDF.TarjetaBaja"); 
	String sCta = request.getParameter("CTA");
	 miLog.addTraza("BEGO" , "TarjetasBegooo" , "sCta: " + sCta, m05bConstantes.LOG_NIVEL_BAJO);  
	String sTipo = request.getParameter("Tipo");    
	miLog.addTraza("BEGO" , "TarjetasBegooo" , "sTipo: " + sTipo, m05bConstantes.LOG_NIVEL_BAJO);  
	String srcPDF = TarjetaBaja + "?CTA="+sCta+ "&Tipo="+sTipo;
	String sBucle1="0";
	String sBucle2="0";
	String sSentencia2="";
	String sSentencia1="";
    String sSentencia=   "select 1" +
                             " from " + m05bConstantes.TAB_TARJETAS + 
                             " WHERE " + m05bConstantes.COL_31_CUENTA + " = '" +sCta +"'" +
                             " AND " + m05bConstantes.COL_31_SITUACION + " = 'C'"  + 
                             " AND " + m05bConstantes.COL_31_IMPRESO  + " = 'N'";	
	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  //HttpSession session = request.getSession(true);
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();

         if (!(sTipo.equals("0"))){
         sSentencia1=sSentencia +" AND "+ m05bConstantes.COL_31_TIPO + " = '"+sTipo+"'";
         }else{
         sSentencia1=sSentencia +" AND "+ m05bConstantes.COL_31_TIPO + " = '" +m05bConstantes.TAR_GASTO+"'";
         sSentencia2= sSentencia +" AND "+ m05bConstantes.COL_31_TIPO + " = '"+m05bConstantes.TAR_VIAT+"'";
    	 miLog.addTraza("BEGO" , "Tarjetas" , "sSentencia1: " + sSentencia, m05bConstantes.LOG_NIVEL_BAJO); 
    	 miLog.addTraza("BEGO" , "Tarjetas" , "sSentencia2: " + sSentencia2, m05bConstantes.LOG_NIVEL_BAJO);  
    	 
    	 }                             
		 pstmt = conn.prepareStatement(sSentencia1);
		 rs = pstmt.executeQuery();
		 
		 if (rs.next() == true){ sBucle1="1";}
		     	if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
         if (sTipo.equals("0")){		
		    pstmt = conn.prepareStatement(sSentencia2);
		    rs = pstmt.executeQuery();
            if (rs.next() == true){ sBucle2="1";}
		     	if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
		 }%>	

	
<TABLE class="general">
  <tr>
       <!--td width="90%" align="right"><INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Retornar" ONCLICK="JavaScript:fncRetornar('<%=sCta%>');" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/retornar.gif"-->
       <td width="90%" align="right"><input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar('<%=sCta%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />				      					        
       <%if (sBucle2.equals("1")){%>
          <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Aceptar" ONCLICK="JavaScript:fncImprimir('<%=sCta%>');return false;" onMouseOver="top.status='Imprimir'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/viat.gif"-->
          <input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir('<%=sCta%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />				      					                  
       <%}%>
       </td>
  </tr>
  <tr>
    <td colspan="2">
    <% if (sBucle1.equals("1")){ %>
		<embed name='pdfTarjetasoli' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfTarjetasoli' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}%>
	<%	} catch (Exception SQLException) {
			miLog.addTraza(SQLException);
		} 	finally{
				if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}%>
  	</td>
  </tr>
</TABLE>
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>		
</body>
</html>